メインコンテンツへスキップ
GET
/
hub_document_blocks
Python
client.hub_document.get_hub_document_blocks_v2025_r0(hub_id, page_id)
{
  "entries": [
    {
      "id": "c9588f08-22d7-4d17-8ca9-f1e61c98c0bd",
      "type": "section_title",
      "parent_id": "d97f7c26-0d9b-42a1-a00d-6e6db9619e0f",
      "fragment": "This is the section title"
    },
    {
      "id": "721d97d7-ac8a-4e5e-adb6-ef11af4e6d9e",
      "type": "item_list",
      "parent_id": "d97f7c26-0d9b-42a1-a00d-6e6db9619e0f"
    }
  ],
  "type": "document_blocks",
  "limit": 1000,
  "next_marker": null
}

Documentation Index

Fetch the complete documentation index at: https://developer.box.com/llms.txt

Use this file to discover all available pages before exploring further.

Box SDKのバージョニング戦略について詳しく学ぶ。」

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

ヘッダー

box-version
enum<string>
必須

Version header.

利用可能なオプション:
2025.0

クエリパラメータ

hub_id
string
必須

Hubを表す一意の識別子。

HubのIDを確認するには、ウェブアプリでこのHubにアクセスして、URLからIDをコピーします。たとえば、URLがhttps://*.app.box.com/hubs/123の場合、hub_id123です。

page_id
string
必須

Box Hub内のページの一意の識別子。

marker
string

結果が返される開始位置のマーカー。マーカーベースのページネーションを使用している場合に使用されます。

limit
integer<int64>

返す項目の1ページあたりの最大数。

必須範囲: x <= 1000

レスポンス

指定されたページのすべてのコンテンツブロック (項目を除く) がentries配列に含まれている、Hubドキュメントブロックのレスポンスが返されます。項目を取得するには、GET /hub_itemsエンドポイントを使用します。

Hubドキュメントブロックのリスト。

entries
(Box Hubの段落テキストブロック · object | Box Hubのセクションタイトルテキストブロック · object | Box Hubの吹き出しテキストブロック · object | Box Hubの項目リストブロック · object | Box Hubの区切り線ブロック · object)[]
必須

ブロックの順序付きリスト。

Box Hubドキュメント内の段落ブロック。

type
enum<string>
必須

値は常にdocument_blocksになります。

利用可能なオプション:
document_blocks
:

"document_blocks"

limit
integer<int64>

これらのエントリで使用された制限値。許容される最大値を超えていない限り、クエリパラメータのlimitと等しくなります。最大値はAPIによって異なります。

:

1000

next_marker
string | null

次の検索結果ページの開始場所のマーカー。

:

"JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii"